<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */


use Modules_PleskLvemanager_CheckData as CheckData;

class Modules_PleskLvemanager_CustomButtons extends pm_Hook_CustomButtons
{
    public function getButtons()
    {
        $buttons = array();

        if (version_compare(pm_ProductInfo::getVersion(), '12.0') >= 0) {
            $buttons = array();

            if (!CheckData::getLveParam('hidePhpApp', false)) { // WARN: same default exists in cloudlinux-selector code
                array_push($buttons, array(
                    'place' => self::PLACE_DOMAIN,
                    'title' => pm_Locale::lmsg('PHP Selector'),
                    'description' => pm_Locale::lmsg('PHP Selector'),
                    'icon' => pm_Context::getBaseUrl() . 'images/php_selector_logo.svg',
                    'link' => pm_Context::getActionUrl('php-selector')));
            }
            $hideXrayApp = CheckData::getLveParam('hideXrayApp', true);  // possible values: null|true|false
            if (is_bool($hideXrayApp) && !$hideXrayApp) {
                array_push($buttons, array(
                    'place' => self::PLACE_DOMAIN,
                    'title' => pm_Locale::lmsg('X-Ray'),
                    'description' => pm_Locale::lmsg('X-Ray'),
                    'icon' => pm_Context::getBaseUrl() . 'images/xray.svg',
                    'link' => pm_Context::getActionUrl('xray')));
            }
            if (!CheckData::getLveParam('hideLVEUserStat', false)) { // By default resource usage is enabled (second param)
                array_push($buttons, array(
                    'place' => self::PLACE_DOMAIN,
                    'title' => pm_Locale::lmsg('Resource Usage'),
                    'description' => pm_Locale::lmsg('Resource Usage Details'),
                    'icon' => pm_Context::getBaseUrl() . 'images/resource_usage_logo.png',
                    'link' => pm_Context::getActionUrl('resource-usage'),
                ));
            }

            array_push($buttons, array(
                'place' => array_filter([
                    self::PLACE_RESELLER_TOOLS_AND_SETTINGS,
                    defined('self::PLACE_RESELLER_NAVIGATION') ? self::PLACE_RESELLER_NAVIGATION : false,
                    defined('self::PLACE_ADMIN_NAVIGATION') ? self::PLACE_ADMIN_NAVIGATION : false
                ]),
                'title' => pm_Locale::lmsg('CloudLinux Manager'),
                'description' => pm_Locale::lmsg('CloudLinux Manager'),
                'icon' => pm_Context::getBaseUrl() . 'images/addon_CloudLinux_logo.png',
                'link' => pm_Context::getActionUrl('index'),
            ));
        }
        return $buttons;
    }
}
