#!/bin/bash

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM posttrans script, no arguments
# Note: Also called from Debian lvemanager.postinst scriptlet

# "lvemanager POST TRANS STARTED"

# we need git installed in /usr/bin
# for ability to install npm packages from git repository
if [ -f /usr/sbin/cagefsctl ]; then
    /usr/sbin/cagefsctl --addrpm git
    /usr/sbin/cagefsctl --addrpm git-core
    # python3-virtualenv and python36 packages are needed on CL8
    /usr/sbin/cagefsctl --addrpm python36 &> /dev/null
    /usr/sbin/cagefsctl --addrpm python3-virtualenv &> /dev/null
    # update CageFS skeleton
    /usr/sbin/cagefsctl --force-update > /dev/null 2>&1
fi

if [ -f /var/lve/lvemanager_install_started ]; then
    rm -f /var/lve/lvemanager_install_started
fi

if [[ -n "$RHEL" && "$RHEL" -lt "8" && -f /var/lve/.py.selector.migration.needed.v2.tmp ]]; then
    # the only case when this file exists is when we update
    # from package that does not contain 'rm' in %preun =>
    # does not contain new python selector
    cloudlinux-selector import-applications --interpreter=python
    rm -f /var/lve/.py.selector.migration.needed.v2.tmp
fi

# "lvemanager POST TRANS FINISHED"
